Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Functions
Delaunay.h File Reference
`#include <vector>`
`#include <tulip/Coord.h>`
`#include <tulip/Node.h>`
`#include <tulip/Graph.h>`
Include dependency graph for Delaunay.h:

## Classes

- class tlp::VoronoiDiagram

## Namespaces

- namespace tlp

## Functions

- TLP_SCOPE bool tlp::delaunayTriangulation (std::vector< Coord > &points, std::vector< std::pair< unsigned int, unsigned int > > &edges, std::vector< std::vector< unsigned int > > &simplices, bool voronoiMode=false)
    functions for Delaunay Triangulations
- TLP_SCOPE bool tlp::voronoiDiagram (std::vector< Coord > &sites, VoronoiDiagram &voronoiDiagram)

Tulip Software by LaBRI Visualization Team 2001 - 2012